%global         modname ropemode

Name:           python-%{modname}
Version:        0.2
Release:        9%{?dist}
Summary:        Helper for using rope refactoring library in IDEs
Group:          Development/Libraries
License:        GPLv2+
URL:            http://rope.sourceforge.net/ropemacs.html
Source0:        http://pypi.python.org/packages/source/r/%{modname}/%{modname}-%{version}.tar.gz

BuildArch:      noarch
BuildRequires:  python2-devel
BuildRequires:  python-setuptools
BuildRequires:  python-rope

%global _description\
Ropemode is a helper library for use of rope refactoring from within\
IDEs, mainly used by ropemacs within Emacs.\


%description %_description

%package -n python2-%{modname}
Summary: %summary
Requires:       python
Requires:       python-rope >= 0.9.4
%{?python_provide:%python_provide python2-%{modname}}

%description -n python2-%{modname} %_description

%prep
%setup -q -n %{modname}-%{version}%{?rctag}

%build
%{__python} setup.py build


%install
%{__python} setup.py install --skip-build --root %{buildroot}



%files -n python2-%{modname}
%doc PKG-INFO
%{python_sitelib}/%{modname}
%{python_sitelib}/*.egg-info

%changelog
* Fri Feb 09 2018 Fedora Release Engineering <releng@fedoraproject.org> - 0.2-9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Sat Aug 19 2017 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> - 0.2-8
- Python 2 binary package renamed to python2-ropemode
  See https://fedoraproject.org/wiki/FinalizingFedoraSwitchtoPython3

* Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.2-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Sat Feb 11 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.2-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Tue Jul 19 2016 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.2-5
- https://fedoraproject.org/wiki/Changes/Automatic_Provides_for_Python_RPM_Packages

* Thu Feb 04 2016 Fedora Release Engineering <releng@fedoraproject.org> - 0.2-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Thu Jun 18 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.2-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.2-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Thu Sep 26 2013 Matěj Cepl <mcepl@redhat.com>
- New upstream release build.

* Sun Aug 04 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.1-0.6.rc2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.1-0.5.rc2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Sat Jul 21 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.1-0.4.rc2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Fri May  4 2012 Stanislav Ochotnicky <sochotnicky@redhat.com> - 0.1-0.3.rc2
- Add PKG-INFO to doc (contains license information)
- Remove macros for old Fedoras and EPEL5
- Change python-devel BR to python2-devel

* Fri May 13 2011 Stanislav Ochotnicky <sochotnicky@redhat.com> - 0.1-0.2.rc2
- Rename to python-ropemode
- Fix BR/R on rope to python-rope

* Wed May  4 2011 Stanislav Ochotnicky <sochotnicky@redhat.com> - 0.1-0.1.rc2
- Initial version of package
